<?php

namespace App\Entity;

use App\Repository\ProjectsInspiringRepository;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass=ProjectsInspiringRepository::class)
 */
class ProjectsInspiring
{
    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\ManyToOne(targetEntity=IndividualData::class, inversedBy="projectsInspiring")
     */
    private $individualData;

    /**
     * @ORM\ManyToOne(targetEntity=CollectifData::class, inversedBy="projectsInspiring")
     */
    private $collectifData;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getIndividualData(): ?IndividualData
    {
        return $this->individualData;
    }

    public function setIndividualData(?IndividualData $individualData): self
    {
        $this->individualData = $individualData;

        return $this;
    }

    public function getCollectifData(): ?CollectifData
    {
        return $this->collectifData;
    }

    public function setCollectifData(?CollectifData $collectifData): self
    {
        $this->collectifData = $collectifData;

        return $this;
    }
}
